Name:           twinkle
Version:        1.1
Release:        4%{?dist}
Summary:        A SIP Soft Phone

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.twinklephone.com
Source0:        http://www.xs4all.nl/~mfnboer/twinkle/download/%{name}-%{version}.tar.gz
Patch0:         twinkle-1.1-msg.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: commoncpp2-devel
BuildRequires: ccrtp-devel
BuildRequires: libsndfile-devel
BuildRequires: speex-devel
BuildRequires: boost-devel
BuildRequires: desktop-file-utils
BuildRequires: qt-devel
BuildRequires: bind-devel
BuildRequires: alsa-lib-devel
BuildRequires: kdelibs-devel

%description
Twinkle is a SIP based soft phone for making telephone calls over IP networks.

%prep
%setup -q
%patch0 -p1 -b .msg

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -d 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 src/gui/images/twinkle48.png %{buildroot}%{_datadir}/pixmaps/twinkle.png

rm -f ${RPM_BUILD_ROOT}%{_datadir}/applications/twinkle.desktop
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        twinkle.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/twinkle.png
%{_datadir}/applications/fedora-twinkle.desktop

%changelog
* Tue Jan 01 2008 Kevin Fenzi <kevin@tummy.com> - 1.1-4
- Add patch for message waiting bug (fixes #427068)

* Wed Oct 10 2007 Kevin Fenzi <kevin@tummy.com> - 1.1-3
- Rebuild for BuilID

* Fri Aug 03 2007 Kevin Fenzi <kevin@tummy.com> - 1.1-2
- Rebuild for new boost
- Fix License tag

* Wed Aug 01 2007 Kevin Fenzi <kevin@tummy.com> - 1.1-1
- Update to 1.1

* Wed Mar  7 2007 Kevin Fenzi <kevin@tummy.com> - 1.0-2
- Rebuild for new ccrtp version

* Wed Jan 24 2007 Kevin Fenzi <kevin@tummy.com> - 1.0-1
- Update to 1.0
- Removed unneeded patch (merged upstream)
- Changed bind-libbind-devel BuildRequires to bind-devel

* Fri Nov 10 2006 Kevin Fenzi <kevin@tummy.com> - 0.9-2
- Rebuild with correct libbind patch

* Fri Nov 10 2006 Kevin Fenzi <kevin@tummy.com> - 0.9-1
- Upgrade to 0.9

* Sun Sep 24 2006 Kevin Fenzi <kevin@tummy.com> - 0.8.1-2
- Add bind-libbind-devel as a BuildRequires and link against it
  to fix private glibc symbols. 
- Add alsa-lib-devel and kdelibs-devel BuildRequires

* Mon Sep 18 2006 Kevin Fenzi <kevin@tummy.com> - 0.8.1-1
- Inital version for fedora extras
